libzypp: ztui::out Namespace Reference

libzypp 17.38.10

ztui::out Namespace Reference

## Namespaces
namespace | detail

## Classes
class | ListLayout
| Basic list layout. More...
class | TableLayout
| Basic table layout. More...
class | XmlFormater
| XML representation of types in container [asXmlListElement]. More...
class | ListFormater
| Default representation of types in Lists [asListElement]. More...
class | TableFormater
| Special list formater writing a Table [asTableHeader|asTableRow]. More...
class | XmlFormaterAdaptor
| Adaptor. More...

## Typedefs
using | XmlListLayout = detail::ListLayoutInit<true, false, false, 0U>
using | DefaultListLayout = detail::ListLayoutInit<true, true, false, 0U>
| one element per line, no indent
using | DefaultGapedListLayout = detail::ListLayoutInit<true, true, true, 0U>
| one element per line, no indent, gaped
using | IndentedListLayout = detail::ListLayoutInit<true, true, false, 2U>
| one element per line, indented
using | IndentedGapedListLayout = detail::ListLayoutInit<true, true, true, 2U>
| one element per line, indented, gaped
using | CompressedListLayout = detail::ListLayoutInit<false, true, false, 2U>
| multiple elements per line, indented
using | DefaultTableLayout = TableLayout
| Simple Table.

## Functions
unsigned | defaultTermwidth ()
template<class Tp>
std::string | asXmlListElement (const Tp &val_r)
| relates: XmlFormater XML representation of types [no default]
std::string | asXmlListElement (const std::string &val_r)
std::string | asXmlListElement (const char *val_r)
template<class Tp>
std::string | asListElement (const Tp &val_r)
| relates: ListFormater NORMAL representation of types in lists [no default]
std::string | asListElement (const std::string &val_r)
std::string | asListElement (const char *val_r)
template<class Tp = void>
TableHeader | asTableHeader ()
| relates: TableFormater NORMAL representation of types as TableHeader [no default]
template<>
TableHeader | asTableHeader< void > ()
template<class Tp>
TableRow | asTableRow (const Tp &val_r)
| relates: TableFormater NORMAL representation of types as TableRow [no default]
template<class TContainer, class TFormater, class TLayout = typename TFormater::NormalLayout>
void | writeContainer (std::ostream &str_r, const TContainer &container_r, const TFormater &formater_r, const TLayout &layout_r=TLayout())
| Write formatted container to stream.
template<class TContainer, class TFormater>
void | xmlWriteContainer (std::ostream &str_r, const TContainer &container_r, const TFormater &formater_r)
| Write XML formatted container to stream.

## Variables
static constexpr unsigned | termwidthUnlimited = 0u

## Typedef Documentation

## ◆ XmlListLayout

using ztui::out::XmlListLayout = detail::ListLayoutInit<true, false, false, 0U>

Definition at line 107 of file Out.h.

## ◆ DefaultListLayout

using ztui::out::DefaultListLayout = detail::ListLayoutInit<true, true, false, 0U>

one element per line, no indent

Definition at line 108 of file Out.h.

## ◆ DefaultGapedListLayout

using ztui::out::DefaultGapedListLayout = detail::ListLayoutInit<true, true, true, 0U>

one element per line, no indent, gaped

Definition at line 109 of file Out.h.

## ◆ IndentedListLayout

using ztui::out::IndentedListLayout = detail::ListLayoutInit<true, true, false, 2U>

one element per line, indented

Definition at line 110 of file Out.h.

## ◆ IndentedGapedListLayout

using ztui::out::IndentedGapedListLayout = detail::ListLayoutInit<true, true, true, 2U>

one element per line, indented, gaped

Definition at line 111 of file Out.h.

## ◆ CompressedListLayout

using ztui::out::CompressedListLayout = detail::ListLayoutInit<false, true, false, 2U>

multiple elements per line, indented

Definition at line 112 of file Out.h.

## ◆ DefaultTableLayout

using ztui::out::DefaultTableLayout = TableLayout

Simple Table.

Definition at line 123 of file Out.h.

## Function Documentation

## ◆ defaultTermwidth()

unsigned ztui::out::defaultTermwidth | ( |  | ) |

Definition at line 38 of file Out.cc.

## ◆ asXmlListElement() [1/3]

template<class Tp>

std::string ztui::out::asXmlListElement | ( | const Tp & | val_r | ) |

relates: XmlFormater XML representation of types [no default]

## ◆ asXmlListElement() [2/3]

std::string ztui::out::asXmlListElement | ( | const std::string & | val_r | ) |
| inline

Definition at line 130 of file Out.h.

## ◆ asXmlListElement() [3/3]

std::string ztui::out::asXmlListElement | ( | const char * | val_r | ) |
| inline

Definition at line 131 of file Out.h.

## ◆ asListElement() [1/3]

template<class Tp>

std::string ztui::out::asListElement | ( | const Tp & | val_r | ) |

relates: ListFormater NORMAL representation of types in lists [no default]

## ◆ asListElement() [2/3]

std::string ztui::out::asListElement | ( | const std::string & | val_r | ) |
| inline

Definition at line 136 of file Out.h.

## ◆ asListElement() [3/3]

std::string ztui::out::asListElement | ( | const char * | val_r | ) |
| inline

Definition at line 137 of file Out.h.

## ◆ asTableHeader()

template<class Tp = void>

TableHeader ztui::out::asTableHeader | ( |  | ) |

relates: TableFormater NORMAL representation of types as TableHeader [no default]

## ◆ asTableHeader< void >()

template<>

TableHeader ztui::out::asTableHeader< void > | ( |  | ) |
| inline

Definition at line 144 of file Out.h.

## ◆ asTableRow()

template<class Tp>

TableRow ztui::out::asTableRow | ( | const Tp & | val_r | ) |

relates: TableFormater NORMAL representation of types as TableRow [no default]

## ◆ writeContainer()

template<class TContainer, class TFormater, class TLayout = typename TFormater::NormalLayout>

void ztui::out::writeContainer | ( | std::ostream & | str_r,
|  | const TContainer & | container_r,
|  | const TFormater & | formater_r,
|  | const TLayout & | layout_r = TLayout() )

Write formatted container to stream.

Definition at line 324 of file Out.h.

## ◆ xmlWriteContainer()

template<class TContainer, class TFormater>

void ztui::out::xmlWriteContainer | ( | std::ostream & | str_r,
|  | const TContainer & | container_r,
|  | const TFormater & | formater_r )

Write XML formatted container to stream.

Definition at line 334 of file Out.h.

## Variable Documentation

## ◆ termwidthUnlimited

unsigned ztui::out::termwidthUnlimited = 0u
| staticconstexpr

Definition at line 74 of file Out.h.